# eta-kisit
ETA'lar için uygulama ve website kısıtlama uygulaması.

![screenshots/main-active.png](screenshots/main-active.png)

## Özellikler
- 📑 Uygulama Filtreleme
  - **İzinliler** Listesi
  - **Yasaklılar** Listesi
- 🔗 Website domain Filtreleme
  - **İzinliler** Listesi
  - **Yasaklılar** Listesi
- 🧑‍🧒 Profil Yönetimi
  - Farklı profillerde farklı yasaklar ve izinler oluşturabilirsiniz.

## Kurulum
.deb dosyasını indirdikten sonra Pardus Paket Kurucu ile kurabilirsiniz.

veya

```
sudo apt install ./eta-kisit_0.1.0_amd64.deb
```

## Nasıl Çalıştırılır?
1. Uygulamalar menüsünden açılır
2. Sağ üstteki üç çizgiden Uygulama ve Website kısıtlama ayarlarınızı değiştirin
3. Ana ekrandan servisi etkinleştirin ve kullanmaya başlayın.

Sadece değiştirilmiş ayarları uygulatmak için:
```
eta-kisit --reload
```

Sadece bilgisayarda yüklü uygulamalar listesini oluşturmak için:
```
eta-kisit --generate-applist
```

## Nasıl Çalışır?
- [Uygulama Filtreleme](./doc/ApplicationFiltering.md)
- [Website Filtreleme](./doc/WebsiteFiltering.md)

## Kaynak koddan .deb paketi nasıl oluşturulur?
Derleme için gereken paketleri kurun:
```
sudo apt install devscripts git-buildpackage
```
.deb paketini oluşturun:
```
sudo mk-build-deps -ir
gbp buildpackage --git-export-dir=/tmp/build/eta-kisit -us -uc
```
